Internal error: Could not determine if the copy succeeded.
OpenPublic

Description

Since a few days I get reports, incl. from myself as Wikimedia Commons uploader, like "Internal error: Could not determine if the copy succeeded." after click to submit the descriptions.

Clicking on "Retry failed uploads" I get
"[api-error-internal_api_error_UploadStashFileNotFoundException]"

For my uploads the file uploads were completed anyway but I hear about half done uploads (file page without file).


Version: 1.22.0
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=36587

bzimport added a project: MediaWiki-Uploading.Via ConduitNov 22 2014, 1:14 AM
bzimport set Reference to bz43967.
Raymond created this task.Via LegacyJan 14 2013, 8:29 PM
MarkTraceur added a comment.Via ConduitJan 18 2013, 8:20 PM

Reproduced on James_F's laptop, but the files actually completed.

Nischayn22 added a comment.Via ConduitMay 19 2013, 7:02 AM

Is this fixed now? Or are there any steps to reproduce this?

Nischayn22 added a comment.Via ConduitJun 13 2013, 1:41 PM

*** Bug 48647 has been marked as a duplicate of this bug. ***

Bawolff added a comment.Via ConduitAug 22 2013, 10:19 PM

looks like chunked upload issue

Nemo_bis added a comment.Via ConduitOct 11 2013, 8:51 AM

Recent report of the problem (with not much more information and in Russian, though): https://commons.wikimedia.org/w/index.php?title=Commons:Upload_Wizard_feedback&oldid=106815121#Fehlermeldung

Gilles added a comment.Via ConduitJan 13 2014, 1:11 PM

For the record, since I had to grep the feedback page for it, the Russian comment dating September 24th 2013 just states that they've encountered the error, nothing more.

Gilles added a comment.Via ConduitJan 13 2014, 1:59 PM

I confirm that this is probably coming from chunked upload-specific APIs. More specifically "checkStatus", which allows to check when an upload has been reassembled when the chunk API keeps replying "Poll".

It seems like something almost identical is also exposed to API consumers through "statuskey", but UploadWizard doesn't seem to make use of it.

The failure is due to the session entry for the requested filekey being missing. I will investigate further once I have shell access approved to access logs. Something I'm particularly interested in finding out is whether all the session data is missing or just the entry for the particular file we're interested in.

Nemo_bis added a comment.Via ConduitOct 3 2014, 2:48 PM

Just got this on https://commons.wikimedia.org/wiki/File:Practica_D._magistri_V00241_00000004.tif

Error console says the following, dunno if related:

2 Validation error against schema UploadWizardFlowEvent: Unrecognized property: quantity
8 Failed to load resource: the server responded with a status of 503 (Service Unavailable) https://commons.wikimedia.org/wiki/Special:UploadStash/thumb/12mniz1s4dlw.l7rnkh.4135183.tif/lossy-page1-78px-12mniz1s4dlw.l7rnkh.4135183.tif.jpg

Bawolff added a comment.Via ConduitOct 3 2014, 4:22 PM

(In reply to Gilles Dubuc from comment #9)

I confirm that this is probably coming from chunked upload-specific APIs.
More specifically "checkStatus", which allows to check when an upload has
been reassembled when the chunk API keeps replying "Poll".

It seems like something almost identical is also exposed to API consumers
through "statuskey", but UploadWizard doesn't seem to make use of it.

The failure is due to the session entry for the requested filekey being
missing. I will investigate further once I have shell access approved to
access logs. Something I'm particularly interested in finding out is whether
all the session data is missing or just the entry for the particular file
we're interested in.

Is this a sudden increase? If so, maybe hhvm related? chunked upload does some scary stuff with sessions, it wouldn't shock me if hhvm interfered with that somehow.

Josve05a added a comment.Via ConduitOct 22 2014, 2:28 PM

I'm adding HHVM to the keywords, just in case.

Gilles added a project: Multimedia.Via WebNov 24 2014, 3:44 PM
Gilles moved this task to Current cycle on the Multimedia workboard.Via WebNov 24 2014, 3:54 PM
Gilles placed this task up for grabs.Via WebWed, Feb 11, 1:20 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.